Package net.shibboleth.idp.profile.context.navigate

# Class SpringFlowScopeLookupFunction

java.lang.Object
net.shibboleth.idp.profile.context.navigate.SpringFlowScopeLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class SpringFlowScopeLookupFunction extends Object implements Function<ProfileRequestContext,String>
A lookup function that fetches a SWF flow scope parameters.

Since:
  4.2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`paramName`
Parameter name.

## Constructor Summary

Constructors
Constructor
Description
`SpringFlowScopeLookupFunction(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext profileRequestContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### paramName

@Nonnull @NotEmpty private final String paramName
Parameter name.

## Constructor Details

### SpringFlowScopeLookupFunction

public SpringFlowScopeLookupFunction(@Nonnull @NotEmpty @ParameterName(name="name") String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### apply

@Nullable public String apply(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,String>`